CritterPropDescription (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.grouping.prop.CritterPropDescription interface

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.grouping.prop
Interface CritterPropDescription

All Known Implementing Classes:
  BasicCritterPropDescription, EnumCritterPropDescription

    public interface CritterPropDescription

The CritterPropDescription objects are immutable beans, created by `CritterType`s to inform the external world about what types of arguments they take. A list of `CritterPropDescription`s can easily be displayed in the UI in the following format: name: purpose (type.getValue()) ... For instance: Name: a regex to match against the resource name (string) Age: only allow resources created before this time (date) Subclasses of this should exist as types in `CritterPropType`

Method Summary
`java.lang.String` | `getId()` Returns the ID for the `CritterProp` associated with this description.
`java.lang.String` | `getName()` Returns a localized name for this prop.
`java.lang.String` | `getPurpose()` Return a localized purpose.
`CritterPropType` | `getType()` Return the type (I am a DATE, I am a STRING, etc.)
`boolean` | `isRequired()` If true, the associated `CritterProp` is required.

Method Detail

### getId

    java.lang.String getId()

  Returns the ID for the `CritterProp` associated with this description. The return value from this method should be equal to the value of CritterProp.getId()

### getName

    java.lang.String getName()

  Returns a localized name for this prop. Used by the UI to generically argument types for critters.

### getType

    CritterPropType getType()

  Return the type (I am a DATE, I am a STRING, etc.)

### getPurpose

    java.lang.String getPurpose()

  Return a localized purpose.

### isRequired

    boolean isRequired()

  If true, the associated `CritterProp` is required.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.